Next: DTV revision, Previous: C64DTV-specific commands and settings, Up: C64DTV-specific commands and settings [Contents][Index]

#### 7.3.1 C64DTV ROM image

The DTV has a 2MiB Flash chip which contains the kernal, basic and character set ROMs along with other data, such as games in the case of the original C64DTV ROM.

The image file is a dump of the flash chip. It is exactly 2MiB (2097152 bytes).

If you do not have a suitable image file, an image using the C64 kernal, basic and charset is automatically created.

If writing to the C64DTV ROM is enabled, the image file is rewritten with the current data when exiting x64dtv.

Note that x64dtv tries to load the image file from the C64DTV directory first, and if it isn’t found there, x64dtv tries to load it from the current directory. If you do not have `dtvrom.bin` in your C64DTV directory and writing to DTV ROM is enabled, the `dtvrom.bin` file is created to the current directory.

NOTE: The original C64DTV ROM has somewhat distorted colors, normally you should use a patched rom.

`-c64dtvromimage <name>`

  Specify filename of the C64DTV ROM image (`c64dtvromfilename`).

`-c64dtvromrw`
`+c64dtvromrw`

  Enable/disable writing to C64DTV ROM image (`c64dtvromrw=1`, `c64dtvromrw=0`).

The trueflashfs option is analogous to True drive emulation. If disabled, any file access to the flash filesystem (device 1) will go to the local file system instead.

`-trueflashfs`
`+trueflashfs`

  Enable/disable true hardware flash file system (`FlashTrueFS=1`, `FlashTrueFS=0`).

`-fsflash <name>`

  Specify the directory for the flash file system device (`FSFlashDir`).

Next: DTV revision, Previous: C64DTV-specific commands and settings, Up: C64DTV-specific commands and settings [Contents][Index]